﻿package {
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	import flash.events.MouseEvent;
	import com.xvisage.utils.StringUtils;

	public class ProperArabicTextAS3 extends Sprite {
		public var utils:StringUtils;
		public var scrollbar:CreateScrollBar;
		public var format:TextFormat;
		public function ProperArabicTextAS3() {
			utils = new StringUtils();
			utils.wrapFactor = .98;
			//utils.hindiNumeralsOnly = false;
			format = new TextFormat();
			format.font = "Traditional Arabic";
			format.size = 15;
			format.align = "right";
			format.rightMargin = 4;
			//output2.setStyle("embedFonts",true);
			//output2.textField.embedFonts = true;
			//output2.textField.width = output2.width-22;
			var xmlLoader:URLLoader = new URLLoader();
			xmlLoader.addEventListener(Event.COMPLETE, showXML);
			xmlLoader.load(new URLRequest("arabic.xml"));
		}
		public function showXML(event:Event):void {
			XML.ignoreWhitespace = true; 
			var arabic:XML = new XML(event.target.data);
			//output2.htmlText = utils.parseArabic(arabic.text(), output2.textField, format);
			//output2.setStyle("textFormat", format);
			//output3.label = output2.text;
			//output3.setStyle("embedFonts",true);
			//output3.setStyle("textFormat", format);
			output.htmlText = utils.parseArabic(arabic.text(), output, format);
			output.setTextFormat(format);
			scrollbar = new CreateScrollBar(scroll, output);
			trace("numLines: "+utils.numLines);
			for (var i:Number = 0; i<utils.htmlLines.length; i++) {
				trace("line "+i+": "+utils.htmlLines[i]);
			}
		}
	}
}